@REM    Build SHBOOST with this batchfile
@REM 
@REM    MPASM from microchip is required!
@REM    This is part of the MPLAB installation.
@REM 
@REM    Customize here:
@REM
@REM ***** set installation directory of assembler *****
@REM SET MPASM_HOME=D:\Programme\microchip\asm21500
SET MPASM_HOME=D:\Programme\microchip\MPASM Suite
@REM 
@REM ***** select assembler (depends on your os) *******
@REM SET MPASM=%MPASM_HOME%\mpasm.exe
@REM SET MPASM=%MPASM_HOME%\mpasm_dp.exe
SET MPASM=%MPASM_HOME%\mpasmwin.exe
@REM
@REM ***************************************************
@REM $Log: build.bat,v $
@REM Revision 1.3  2007/02/09 19:13:12  pischky
@REM build version for all processors in one batch run
@REM
@REM Revision 1.2  2007/02/09 17:47:51  pischky
@REM values from wiso readout back to sourcefile (this are the testet values)
@REM
@REM Revision 1.1  2007/02/01 21:40:33  pischky
@REM added build.bat, generate INHX8M outputfile
@REM
@REM
@REM change to MY directory
%~d0
cd "%~p0"
@REM
if "%1" == "clean" GOTO :clean
if "%1" == "distclean" GOTO :distclean
ERASE shboost.ERR 2>NUL:
@REM ---------------------------------------- 16F628
"%MPASM%" /q /aINHX8M /dP16x628 shboost.asm
IF errorlevel 1 GOTO :error
RENAME shboost.LST shboost_16F628.LST
RENAME shboost.ERR shboost_16F628.ERR
RENAME shboost.HEX shboost_16F628.HEX
@REM ---------------------------------------- 16F84
"%MPASM%" /q /aINHX8M /dP16x84 shboost.asm
IF errorlevel 1 GOTO :error
RENAME shboost.LST shboost_16F84.LST
RENAME shboost.ERR shboost_16F84.ERR
RENAME shboost.HEX shboost_16F84.HEX
@REM ---------------------------------------- 12C508
"%MPASM%" /q /aINHX8M /dP12x shboost.asm
IF errorlevel 1 GOTO :error
RENAME shboost.LST shboost_12C508.LST
RENAME shboost.ERR shboost_12C508.ERR
RENAME shboost.HEX shboost_12C508.HEX
@REM ----------------------------------------
GOTO :fin
:distclean
ERASE *.HEX
:clean
ERASE *.COD
ERASE *.ERR
ERASE *.LST
GOTO :fin
:error
TYPE *.ERR
pause
:fin